%define	upstream_name	 File-Which
%define	upstream_version 1.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Portable implementation of the `which' utility
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
File::Which was created to be able to get the paths to executable programs on
systems under which the `which' program wasn't implemented in the shell.

File::Which searches the directories of the user's PATH (as returned by
File::Spec->path()), looking for executable files having the name specified as
a parameter to which(). Under Win32 systems, which do not have a notion of
directly executable files, but uses special extensions such as .exe and .bat to
identify them, File::Which takes extra steps to assure that you will find the
correct file (so for example, you might be searching for perl, it'll try
perl.exe, perl.bat, etc.)

These slurp/spew subs work for files, pipes and sockets, and stdio,
pseudo-files, and DATA.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3*/*
%{perl_vendorlib}/File

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.210.0-2.mga6
+ Revision: 1027625
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 1.210.0-1.mga6
+ Revision: 989818
- update to 1.21

* Fri Feb 19 2016 umeabot <umeabot> 1.190.0-2.mga6
+ Revision: 968901
- Mageia 6 Mass Rebuild

* Thu Jul 23 2015 sander85 <sander85> 1.190.0-1.mga6
+ Revision: 856478
- update to 1.19

* Thu Jun 25 2015 shlomif <shlomif> 1.180.0-1.mga6
+ Revision: 842893
- New version 1.18

* Wed Oct 15 2014 umeabot <umeabot> 1.90.0-5.mga5
+ Revision: 738956
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.90.0-4.mga5
+ Revision: 684780
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.90.0-3.mga4
+ Revision: 511703
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.90.0-2.mga3
+ Revision: 367408
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 1.90.0-1.mga1
+ Revision: 24346
- fix specs
- imported package perl-File-Which


* Sun Sep 27 2009 Jérôme Quelin <jquelin@mandriva.org> 1.90.0-1mdv2010.1
+ Revision: 449777
- update to 1.09

* Thu Sep 17 2009 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-1mdv2010.0
+ Revision: 443904
- adding missing buildrequires:
- update to 1.08

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 1.70.0-1mdv2010.0
+ Revision: 408834
- update to 1.07

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 403181
- rebuild using %%perl_convert_version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.05-3mdv2009.0
+ Revision: 223763
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.05-2mdv2008.1
+ Revision: 180398
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdv2008.0
+ Revision: 46333
- first mdv release

  + Olivier Thauvin <nanardon@mandriva.org>
    - Create perl-File-Which

